# Dataset
1. AIHub 방송 콘텐츠 대화체 음성인식 데이터
2. AIHub 자유대화 음성(일반남여)
3. AIHub 저음질 전화망 음성인식 데이터 
4. 부동산 114 고객센터
5. clovacall
6. Kspon

각 전사 데이터를 NAS에 업로드하고 데이터 증강, 전/후처리 진행하고 검증 진행함.

# Augmentation
## Aug용 추가 데이터셋
http://www.openslr.org/resources/28/rirs_noises.zip
e6f48e257286e05de56413b4779d8ffb

http://www.openslr.org/resources/17/musan.tar.gz
0c472d4fc0c5141eca47ad1ffeb2a7df

## 실행 구문
python3 aug_multi.py --musan-path musan/ --rir-path RIRS_NOISES/simulated_rirs/ --root-dir dataset/path

## 단일 샘플 만들기
python3 aug_multi.py --musan-path musan/ --rir-path RIRS_NOISES/simulated_rirs/ --root-dir dataset/path --use-list false


# 검증
## 실행 구문
python3 check_ogg.py --sub-dir {directory_name} --use-list true

# NAS 폴더
![NAS](https://user-images.githubusercontent.com/30919143/209759212-5a7b9640-07dc-403b-b9f8-6c62efc50140.png)

# AWS Transcribe
## Lambda 1
- s3 특정 폴더에 음원 파일 업로드
- AWS Cloudwatch의 log를 인지해서 lambda1 동작
- AWS Transcribe에 해당 음원 파일의 s3 url을 전달해서 동작 요청

## Lambda 2
- AWS Transcribe에서 전사 완료 후 log 출력
- AWS Cloudwatch에서 log를 인지해서 lambda2 동작
- 해당 전사 내용을 txt 파일로 파일명 처리 후 저장